## lvm2 2.03.02

=== debian/changelog ===
lvm2 (2.03.02-3) unstable; urgency=medium

  * Stop lvm2-lvmetad on upgrade. (closes: #929080)

 -- Bastian Blank <waldi@debian.org>  Fri, 21 Jun 2019 12:29:17 +0200

lvm2 (2.03.02-2) unstable; urgency=medium

  * Remove lvm2-lvmetad init script as well. (closes: #917159)

 -- Bastian Blank <waldi@debian.org>  Sun, 03 Feb 2019 14:55:09 +0100

lvm2 (2.03.02-1) unstable; urgency=medium

  * New upstream release.

 -- Bastian Blank <waldi@debian.org>  Sat, 29 Dec 2018 17:39:29 +0100

lvm2 (2.03.01-3) unstable; urgency=medium

  * Update installed lvm.conf. (closes: #917164)
  * Update dependencies of liblvm2-dev.

 -- Bastian Blank <waldi@debian.org>  Sat, 29 Dec 2018 12:05:25 +0100

lvm2 (2.03.01-2) unstable; urgency=medium

  * Upload to unstable.
  * Rewrite copyright file. (closes: #915986)

 -- Bastian Blank <waldi@debian.org>  Fri, 21 Dec 2018 20:05:26 +0100

lvm2 (2.03.01-1) experimental; urgency=medium

  * New upstream release.
  * Build-depend on libaio-dev.
  * Bump ABI of liblvm2cmd.
  * Drop not longer shipped liblvm2app.
  * Drop not longer shipped lvmconf tool.
  * Drop not longer shipped clvm stuff.
  * Drop not longer shipped lvmetad.
  * Disable not really useful cmirrord.
  * Update symbols.
  * Install new lvmlockd services.
  * Update Vcs headers to reference salsa.debian.org.
  * Set maintainer to team via tracker.debian.org. (closes: #899603)
  * Purge lvm2-lvmetad.socket unit.

 -- Bastian Blank <waldi@debian.org>  Sat, 08 Dec 2018 18:12:40 +0100
