=== debian/watch ===
version=3
opts=pasv,pgpsigurlmangle=s/$/.asc/ ftp://sources.redhat.com/pub/lvm2/LVM2\.([\d\.]*)\.tgz
