## lvm2 2.03.07

=== debian/changelog ===
lvm2 (2.03.07-1ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Lower libdevmapper1.02.1's Depends: dmsetup to a Recommends:. This
      breaks the circular dependency that causes upgrade failures. As dmsetup
      is "Priority: required", this has no other practical consequences.
    - debian/control: add dmsetup-udeb to libdevmapper1.02.1-udeb recommends.
    - debian/dmsetup-udeb.install: install udev rules in udebs
      (Debian #504341).
    - Add debian/initramfs-tools/lvm2/scripts/init-bottom/lvm2: We cannot
      properly synthesize LVM LV change events with udevadm trigger, so
      if we use LVM, we need to let it finish; otherwise we get missing LV
      symlinks.
    - Add debian/initramfs-tools/lvm2/scripts/init-premount/lvm2: failure
      hooks to help fix bad boots (Debian #468115)
    - Add enable-issue-discards.patch: Enable "issue_discards" option by
      default to trim SSDs when changing PVs. This option has no effect if the
      kernel or the drive does not support trimming, so it's safe to enable by
      default. (Debian #717313)
    - debian/rules:
      + Copy .po file to .pot file for Rosetta (Ubuntu specific).
    - debian/initramfs-tools/lvm2/hooks/lvm2: depend on udev since
      we ship udev rules.
    - Do not start lvm2-monitor in containers (LP #1576341)
    - scripts/blkdeactivate.sh.in: Refer to /usr/bin/sort, not /bin/sort
    - Fix patch of systemd-run in 69-lvm-metad.rules
    - Enable udev-sync in udeb build as it is used by partman when
      partitioning devicemapper devices.
    - Disable udev using systemd-run background jobs in udeb build as
      systemd is not available.
    - Ship correct udev rules in lvm2-udeb package.
    - Detect systemd in udev rule at runtime.
    - d/control: add thin-provisioning-tools build-dep as configure
      wants it around for some checks at build time.
    - Include raid1 in the list of modules installed by the initramfs hook
    - Detect systemd in udev rule at runtime.
  * Dropped changes, included upstream:
    - d/p/lp-1842436-*: Avoid creation of mixed-blocksize PV on LVM
      volume groups as it can cause FS corruption

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 13 Feb 2020 13:21:51 -0800

lvm2 (2.03.07-1) unstable; urgency=medium

  * New upstream release.
  * Add instructions on how to handle source.
  * Build-depend on libdlmcontrol-dev.
  * Install new files.

 -- Bastian Blank <waldi@debian.org>  Tue, 07 Jan 2020 14:44:41 +0100

lvm2 (2.03.02-4) unstable; urgency=medium

  * Use new source format.

 -- Bastian Blank <waldi@debian.org>  Mon, 06 Jan 2020 17:53:00 +0100

lvm2 (2.03.02-2ubuntu8) focal; urgency=medium

  * No-change rebuild to build with python3.8.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 25 Jan 2020 04:35:13 +0000

lvm2 (2.03.02-2ubuntu7) focal; urgency=medium

  * Include raid1 in the list of modules installed by the initramfs hook,
    as this is not a kernel module dependency of dm-raid but if the user's
    root disk is configured as RAID1 it is definitely required.
    Closes: #841423, LP: #1509717.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 22 Nov 2019 13:59:47 -0800

lvm2 (2.03.02-2ubuntu6) eoan; urgency=medium

  * d/control: stop dropping thin-provisioning-tools to Suggests as it
    is ready to be promoted via MIR LP 1828887. Fixes usability issues
    of thin-provisioning-tools not being installed by default (LP: #1657646).
    - d/control: also add thin-provisioning-tools build-dep as configure
      wants it around for some checks at build time.
  * d/p/lp-1842436-*: Avoid creation of mixed-blocksize PV on LVM
    volume groups as it can cause FS corruption (LP: #1842436)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Fri, 06 Sep 2019 08:23:10 +0200

lvm2 (2.03.02-2ubuntu5) eoan; urgency=medium

  * Detect systemd in udev rule at runtime.

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 25 Jul 2019 16:11:11 -0300

lvm2 (2.03.02-2ubuntu4) eoan; urgency=medium

  * Ship correct udev rules in lvm2-udeb package.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 20 Jun 2019 20:50:55 +0100

lvm2 (2.03.02-2ubuntu3) eoan; urgency=medium

  * Enable udev-sync in udeb build as it is used by partman when
    partitioning devicemapper devices.
  * Disable udev using systemd-run background jobs in udeb build as
    systemd is not available.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 20 Jun 2019 11:38:55 +0100

lvm2 (2.03.02-2ubuntu2) eoan; urgency=medium

  * Fix patch of systemd-run in 69-lvm-metad.rules (LP: #1830169)

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 23 May 2019 16:24:43 +0200

lvm2 (2.03.02-2ubuntu1) eoan; urgency=low

  * Merge with Debian unstable. Remaining changes:
    - Lower libdevmapper1.02.1's Depends: dmsetup to a Recommends:. This
      breaks the circular dependency that causes upgrade failures. As dmsetup
      is "Priority: required", this has no other practical consequences.
    - debian/control: add dmsetup-udeb to libdevmapper1.02.1-udeb recommends.
    - debian/dmsetup-udeb.install: install udev rules in udebs
      (Debian #504341).
    - Add debian/initramfs-tools/lvm2/scripts/init-bottom/lvm2: We cannot
      properly synthesize LVM LV change events with udevadm trigger, so
      if we use LVM, we need to let it finish; otherwise we get missing LV
      symlinks.
    - Add debian/initramfs-tools/lvm2/scripts/init-premount/lvm2: failure
      hooks to help fix bad boots (Debian #468115)
    - Add enable-issue-discards.patch: Enable "issue_discards" option by
      default to trim SSDs when changing PVs. This option has no effect if the
      kernel or the drive does not support trimming, so it's safe to enable by
      default. (Debian #717313)
    - debian/rules:
      + Copy .po file to .pot file for Rosetta (Ubuntu specific).
    - debian/initramfs-tools/lvm2/hooks/lvm2: depend on udev since
      we ship udev rules.

