=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: lvm2
 Section: admin
 Priority: optional
-Maintainer: Debian LVM Team <team+lvm@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian LVM Team <team+lvm@tracker.debian.org>
 Uploaders: Bastian Blank <waldi@debian.org>
 Build-Depends:
  debhelper (>= 10.9.2),
@@ -14,6 +15,7 @@
  libcorosync-common-dev,
  libcpg-dev,
  libdlm-dev (>> 2),
+ libdlmcontrol-dev,
  libquorum-dev,
  libreadline-gplv2-dev,
  libsanlock-dev,
@@ -24,7 +26,8 @@
  python3-dbus,
  python3-pyudev,
  pkg-config,
- systemd
+ systemd,
+ thin-provisioning-tools
 Standards-Version: 4.1.1
 Homepage: http://sources.redhat.com/lvm2/
 Vcs-Git: https://salsa.debian.org/lvm-team/lvm2.git
@@ -106,7 +109,8 @@
 Section: libs
 Architecture: linux-any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, ${misc:Depends}, dmsetup (>= ${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Recommends: dmsetup (>= ${binary:Version})
 Breaks: lvm2 (<< 2.02.122), liblvm2app2.2 (<< 2.02.122)
 Conflicts: libdevmapper1.02
 Multi-Arch: same
@@ -126,6 +130,7 @@
 Section: debian-installer
 Architecture: linux-any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Recommends: dmsetup-udeb
 Description: Linux Kernel Device Mapper userspace library
  This is a udeb, or a microdeb, for the debian-installer.
  .
