=== debian/rules ===
--- 
+++ 
@@ -75,7 +75,11 @@
 		--with-lvm1=none \
 		--with-pool=none \
 		--disable-readline \
-		--disable-selinux
+		--disable-selinux \
+		--enable-udev_rules \
+		--enable-udev_sync
+
+	cp po/lvm2.po po/lvm2.pot
 
 override_dh_auto_build:
 	dh_auto_build --sourcedirectory=debian/build/build_deb -- \
@@ -97,6 +101,7 @@
 
 override_dh_auto_clean:
 	rm -rf debian/build
+	rm -f po/lvm2.pot
 
 override_dh_gencontrol:
 	dh_gencontrol \
