## lvm2 2.03.09

=== debian/changelog ===
lvm2 (2.03.09-3) unstable; urgency=medium

  * Make lvm2-dbusd package arch-all. (closes: #908908)
  * Fix blk-availability.service. (closes: #966816)

 -- Bastian Blank <bastian.blank@credativ.de>  Thu, 13 Aug 2020 16:40:23 +0200

lvm2 (2.03.09-2) unstable; urgency=medium

  * Use debhelper compat 13.
  * Consider using /usr the default case. (closes: #929437)
  * Enable hardening.
  * Properly declare modified dm-event api.
  * Do not require root for building.

 -- Bastian Blank <waldi@debian.org>  Sun, 02 Aug 2020 12:09:54 +0200

lvm2 (2.03.09-1) unstable; urgency=medium

  * New upstream release.
  * Drop not longer needed breaks and conflicts.
  * Detect systemd at run-time in udev, patch by Julian Andres Klode.
    (closes: #933011)

 -- Bastian Blank <waldi@debian.org>  Sat, 25 Jul 2020 21:14:19 +0200
