=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: lvm2
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian LVM Team <team+lvm@tracker.debian.org>
+Maintainer: Debian LVM Team <team+lvm@tracker.debian.org>
 Uploaders: Bastian Blank <waldi@debian.org>
 Build-Depends:
- debhelper (>= 10.9.2),
- dh-python,
+ debhelper-compat (= 13),
  autoconf-archive,
  automake,
  libaio-dev,
  libblkid-dev,
+ pkg-config,
+ systemd,
+Build-Depends-Arch:
  libcmap-dev,
  libcorosync-common-dev,
  libcpg-dev,
@@ -22,22 +23,29 @@
  libselinux1-dev,
  libsystemd-dev,
  libudev-dev,
+Build-Depends-Indep:
+ dh-sequence-python3,
  python3-dev,
  python3-dbus,
  python3-pyudev,
- pkg-config,
- systemd,
- thin-provisioning-tools
 Standards-Version: 4.1.1
-Homepage: http://sources.redhat.com/lvm2/
+Rules-Requires-Root: no
+Homepage: https://sourceware.org/lvm2/
 Vcs-Git: https://salsa.debian.org/lvm-team/lvm2.git
 Vcs-Browser: https://salsa.debian.org/lvm-team/lvm2
 
 Package: lvm2
 Architecture: linux-any
-Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base, dmsetup (>= 1.02.145-2~), dmeventd
-Recommends: thin-provisioning-tools
-Conflicts: clvm
+Pre-Depends:
+ ${misc:Pre-Depends},
+Depends:
+ ${shlibs:Depends},
+ ${misc:Depends},
+ lsb-base,
+ dmsetup (>= 1.02.145-2~),
+ dmeventd,
+Recommends:
+ thin-provisioning-tools
 Multi-Arch: foreign
 Description: Linux Logical Volume Manager
  This is LVM2, the rewrite of The Linux Logical Volume Manager.  LVM
@@ -50,7 +58,11 @@
 Package-Type: udeb
 Section: debian-installer
 Architecture: linux-any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Pre-Depends:
+ ${misc:Pre-Depends},
+Depends:
+ ${shlibs:Depends},
+ ${misc:Depends},
 Description: Linux Logical Volume Manager
  This is a udeb, or a microdeb, for the debian-installer.
  .
@@ -61,8 +73,15 @@
  regular block devices.
 
 Package: lvm2-dbusd
-Architecture: linux-any
-Depends: ${shlibs:Depends}, ${python3:Depends}, ${misc:Depends}, lvm2 (= ${binary:Version}), dbus,
+Architecture: all
+Pre-Depends:
+ ${misc:Pre-Depends},
+Depends:
+ ${shlibs:Depends},
+ ${python3:Depends},
+ ${misc:Depends},
+ lvm2 (= ${binary:Version}),
+ dbus,
  python3-dbus,
  python3-gi,
  python3-pyudev,
@@ -78,7 +97,12 @@
 
 Package: lvm2-lockd
 Architecture: linux-any
-Depends: ${shlibs:Depends}, ${misc:Depends}, lvm2 (= ${binary:Version})
+Pre-Depends:
+ ${misc:Pre-Depends},
+Depends:
+ ${shlibs:Depends},
+ ${misc:Depends},
+ lvm2 (= ${binary:Version}),
 Multi-Arch: foreign
 Description: LVM locking daemon
  This is LVM2, the rewrite of The Linux Logical Volume Manager.  LVM
@@ -92,7 +116,14 @@
 Package: libdevmapper-dev
 Section: libdevel
 Architecture: linux-any
-Depends: ${misc:Depends}, libdevmapper1.02.1 (= ${binary:Version}), libdevmapper-event1.02.1 (= ${binary:Version}), libudev-dev, libselinux1-dev
+Pre-Depends:
+ ${misc:Pre-Depends},
+Depends:
+ ${misc:Depends},
+ libdevmapper1.02.1 (= ${binary:Version}),
+ libdevmapper-event1.02.1 (= ${binary:Version}),
+ libudev-dev,
+ libselinux1-dev,
 Multi-Arch: same
 Description: Linux Kernel Device Mapper header files
  The Linux Kernel Device Mapper is the LVM (Linux Logical Volume Management)
@@ -108,11 +139,12 @@
 Package: libdevmapper1.02.1
 Section: libs
 Architecture: linux-any
-Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Recommends: dmsetup (>= ${binary:Version})
-Breaks: lvm2 (<< 2.02.122), liblvm2app2.2 (<< 2.02.122)
-Conflicts: libdevmapper1.02
+Pre-Depends:
+ ${misc:Pre-Depends}
+Depends:
+ ${shlibs:Depends},
+ ${misc:Depends},
+ dmsetup (>= ${binary:Version}),
 Multi-Arch: same
 Description: Linux Kernel Device Mapper userspace library
  The Linux Kernel Device Mapper is the LVM (Linux Logical Volume Management)
@@ -129,8 +161,11 @@
 Package-Type: udeb
 Section: debian-installer
 Architecture: linux-any
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Recommends: dmsetup-udeb
+Pre-Depends:
+ ${misc:Pre-Depends},
+Depends:
+ ${shlibs:Depends},
+ ${misc:Depends},
 Description: Linux Kernel Device Mapper userspace library
  This is a udeb, or a microdeb, for the debian-installer.
  .
@@ -142,7 +177,11 @@
 
 Package: dmsetup
 Architecture: linux-any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Pre-Depends:
+ ${misc:Pre-Depends},
+Depends:
+ ${shlibs:Depends},
+ ${misc:Depends},
 Multi-Arch: foreign
 Description: Linux Kernel Device Mapper userspace library
  The Linux Kernel Device Mapper is the LVM (Linux Logical Volume Management)
@@ -157,7 +196,11 @@
 Package-Type: udeb
 Section: debian-installer
 Architecture: linux-any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Pre-Depends:
+ ${misc:Pre-Depends},
+Depends:
+ ${shlibs:Depends},
+ ${misc:Depends},
 Description: Linux Kernel Device Mapper userspace library
  The Linux Kernel Device Mapper is the LVM (Linux Logical Volume Management)
  Team's implementation of a minimalistic kernel-space driver that handles
@@ -170,8 +213,11 @@
 Package: libdevmapper-event1.02.1
 Section: libs
 Architecture: linux-any
-Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Pre-Depends:
+ ${misc:Pre-Depends}
+Depends:
+ ${shlibs:Depends},
+ ${misc:Depends},
 Multi-Arch: same
 Description: Linux Kernel Device Mapper event support library
  The Linux Kernel Device Mapper is the LVM (Linux Logical Volume Management)
@@ -185,7 +231,11 @@
 
 Package: dmeventd
 Architecture: linux-any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Pre-Depends:
+ ${misc:Pre-Depends},
+Depends:
+ ${shlibs:Depends},
+ ${misc:Depends},
 # No Multi-Arch: foreign, plugins depend on the current architecture
 Description: Linux Kernel Device Mapper event daemon
  The Linux Kernel Device Mapper is the LVM (Linux Logical Volume Management)
@@ -199,8 +249,12 @@
 Package: liblvm2cmd2.03
 Section: libs
 Architecture: linux-any
-Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, ${misc:Depends}, dmeventd
+Pre-Depends:
+ ${misc:Pre-Depends}
+Depends:
+ ${shlibs:Depends},
+ ${misc:Depends},
+ dmeventd,
 Multi-Arch: same
 Description: LVM2 command library
  This package contains the lvm2cmd shared library.
@@ -208,7 +262,13 @@
 Package: liblvm2-dev
 Section: libdevel
 Architecture: linux-any
-Depends: ${shlibs:Depends}, ${misc:Depends}, liblvm2cmd2.03 (= ${binary:Version}), libdevmapper-dev
+Pre-Depends:
+ ${misc:Pre-Depends},
+Depends:
+ ${shlibs:Depends},
+ ${misc:Depends},
+ liblvm2cmd2.03 (= ${binary:Version}),
+ libdevmapper-dev,
 Multi-Arch: same
 Description: LVM2 libraries - development files
  This package contains files needed to develop applications that use the
